require 'offline_deployer/version'
require 'offline_deployer/settings'
require 'offline_deployer/gems_handler'
require 'offline_deployer/maker'
require 'offline_deployer/tagger'
require 'offline_deployer/updater'

require 'offline_deployer/railtie' if defined?(Rails)

module OfflineDeployer
  def self.setup(&block)
    block.call(settings)
  end

  def self.settings
    @settings ||= Settings.new
  end
end
